import {useEffect} from 'react';
import {config} from '@/config';
import {useSessionStorage, useLocalStorage} from '@/hooks';

export function useStorageControl() {
    const { clearSessionStorage } = useSessionStorage();
    const { clearLocalStorage, browserStoreVersion, setBrowserStoreVersion } = useLocalStorage();

    useEffect(() => {
        function checkStorage() {
            if (!config?.storageVersion) return;

            const shouldClear = browserStoreVersion !== config.storageVersion;

            if (shouldClear) {
                clearSessionStorage();
                clearLocalStorage();
                setBrowserStoreVersion(config.storageVersion);

                window.location.reload();
            }
        }

        checkStorage();
    }, []);

    return null;
}
