export const nextLocalStorage = {
    getItem: (key) => {
        if (typeof window === 'undefined') return null;
        try {
            return localStorage.getItem(key);
        } catch (e) {
            console.warn(`localStorage.getItem failed for key "${key}"`, e);
            return null;
        }
    },

    setItem: (key, value) => {
        if (typeof window === 'undefined') return;
        try {
            localStorage.setItem(key, value);
        } catch (e) {
            console.warn(`localStorage.setItem failed for key "${key}"`, e);
        }
    },

    removeItem: (key) => {
        if (typeof window === 'undefined') return;
        try {
            localStorage.removeItem(key);
        } catch (e) {
            console.warn(`localStorage.removeItem failed for key "${key}"`, e);
        }
    },

    clear: () => {
        if (typeof window === 'undefined') return;
        try {
            localStorage.clear();
        } catch (e) {
            console.warn('localStorage.clear failed', e);
        }
    }
};
